# IO_DOFTransform.cpp File Reference

`#include "osgSim/DOFTransform"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for IO_DOFTransform.cpp:

## Defines

#define | ReadVec3(A, B)

## Functions

bool | DOFTransform_readLocalData (Object &obj, Input &fr)
bool | DOFTransform_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_DOFTransformProxy (new osgSim::DOFTransform,"DOFTransform","Object Node Transform DOFTransform Group",&DOFTransform_readLocalData,&DOFTransform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Define Documentation

#define ReadVec3 | ( | A,
|  | B |  | ) |

Value:

    {  \
        if (fr[0].matchWord(B) && \
            fr[1].getFloat(vec3[0]) && \
            fr[2].getFloat(vec3[1]) && \
            fr[3].getFloat(vec3[2])) \
        { \
            dof.A(vec3); \
            fr+=4; \
            iteratorAdvanced = true; \
        } \
    }

## Function Documentation

bool DOFTransform_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool DOFTransform_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_DOFTransformProxy(new osgSim::DOFTransform,"DOFTransform","Object Node Transform DOFTransform Group",&DOFTransform_readLocalData,&DOFTransform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)